<?php

namespace Drupal\drd_eca\Plugin\ECA\Event;

use Drupal\drd\Event\DrdActionFinish;
use Drupal\drd\Event\DrdActionStart;
use Drupal\drd\Event\DrdEvents;
use Drupal\eca\Plugin\ECA\Event\EventBase;

/**
 * Plugin implementation of the ECA Events drom DRD.
 *
 * @EcaEvent(
 *   id = "drd",
 *   deriver = "Drupal\drd_eca\Plugin\ECA\Event\DrdEventDeriver"
 * )
 */
class DrdEvent extends EventBase {

  /**
   * Return the actions of the plugin.
   *
   * @return array[]
   *   The actions of the plugin.
   */
  public static function definitions(): array {
    return [
      'drd_eca_action_started' => [
        'label' => 'DRD: Action started',
        'drupal_id' => DrdEvents::ACTION_STARTED,
        'drupal_event_class' => DrdActionStart::class,
      ],
      'drd_eca_action_finished' => [
        'label' => 'DRD: Action finished',
        'drupal_id' => DrdEvents::ACTION_FINISHED,
        'drupal_event_class' => DrdActionFinish::class,
      ],
    ];
  }

}
